{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" href="{{ asset('vendor/bootstrap/css/bootstrap-datepicker.min.css') }}">
{% endblock %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Pencarian
        {% endblock %}

        {% block menuBar %}

            <div class="mt-1 text-left w-100 " style="border-bottom: 1px solid var(--grey-d); line-height: 0">
                <input class="checkbox-tab" type="radio" name="tools" id="pesanan" checked/>
                <label class="for-checkbox-tab " for="pesanan">
                    <p class="mb-0 font-weight-bold">Pesanan</p>
                </label>

                <input class="checkbox-tab" type="radio" name="tools" id="pembayaran"/>
                <label class="for-checkbox-tab" for="pembayaran">
                    <p class="mb-0 font-weight-bold">Pembayaran</p>
                </label>
            </div>

        {% endblock %}
    {% endembed %}

    {# PILIH TANGGAL #}
    <section class="r-bottom container-fluid" style="padding-bottom: 10px">
        <h2 class="text-left pt-3 f12 pl-2 pr-2 font-weight-bold">Pilih Tanggal</h2>
        <div class="pt-3" id="datepicker"></div>
    </section>

    {# PILIH JAM #}
{#    <section class="r-bottom container-fluid mt-3" style="padding-bottom: 10px">#}
{#        <h2 class="text-left pt-3 f12 pl-2 pr-2 font-weight-bold mb-2">Pilih Jam</h2>#}
{#        <form>#}
{#            <div class="row pt-3">#}
{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" id="jam9" value="09.00" onclick="gantiJam()" checked>#}
{#                    <label class="for-checkbox-jam" for="jam9">#}
{#                        09.00#}
{#                    </label>#}
{#                </div>#}
{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" value="10.00" id="jam10" onclick="gantiJam()">#}
{#                    <label class="for-checkbox-jam" for="jam10">#}
{#                        10.00#}
{#                    </label>#}
{#                </div>#}
{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" value="11.00" id="jam11" onclick="gantiJam()">#}
{#                    <label class="for-checkbox-jam" for="jam11">#}
{#                        11.00#}
{#                    </label>#}
{#                </div>#}
{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" id="jam12">#}
{#                    <label class="for-checkbox-jam" for="jam12">#}
{#                        12.00#}
{#                    </label>#}
{#                </div>#}

{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" id="jam13">#}
{#                    <label class="for-checkbox-jam" for="jam13">#}
{#                        13.00#}
{#                    </label>#}
{#                </div>#}
{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" id="jam14">#}
{#                    <label class="for-checkbox-jam" for="jam14">#}
{#                        14.00#}
{#                    </label>#}
{#                </div>#}
{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" id="jam15">#}
{#                    <label class="for-checkbox-jam" for="jam15">#}
{#                        15.00#}
{#                    </label>#}
{#                </div>#}
{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" id="jam16">#}
{#                    <label class="for-checkbox-jam" for="jam16">#}
{#                        16.00#}
{#                    </label>#}
{#                </div>#}

{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" id="jam17">#}
{#                    <label class="for-checkbox-jam" for="jam17">#}
{#                        17.00#}
{#                    </label>#}
{#                </div>#}

{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" id="jam18">#}
{#                    <label class="for-checkbox-jam" for="jam18">#}
{#                        18.00#}
{#                    </label>#}
{#                </div>#}

{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" id="jam19">#}
{#                    <label class="for-checkbox-jam" for="jam19">#}
{#                        19.00#}
{#                    </label>#}
{#                </div>#}

{#                <div class="col-3">#}
{#                    <input class="checkbox-jam" type="radio" name="tools" id="jam20">#}
{#                    <label class="for-checkbox-jam" for="jam20">#}
{#                        20.00#}
{#                    </label>#}
{#                </div>#}
{#            </div>#}
{#        </form>#}
{#    </section>#}

    <section class="fixed-bottom d-block bg-white p-2" style="width: 100%">
        <a class="bt-primary  d-block ml-auto mr-auto" style="width: 80%">Terapkan</a>
    </section>


{% endblock %}

{% block JSMore %}
    <script src="{{ asset('vendor/bootstrap/js/bootstrap-datepicker.min.js') }}"></script>
    <script src="{{ asset('vendor/bootstrap/js/locales/bootstrap-datepicker.id.min.js') }}"></script>


    <script type="text/javascript">
        var options = {weekday: 'long', year: 'numeric', month: 'long', day: 'numeric'};
        var today = new Date();
        var selectedDate = today.toLocaleDateString("id-ID", options);
        var selectedTime = "09.00";

        $('#datepicker').datepicker({
            todayHighlight: true,
            format: "yyyy-mm-dd",
            language: "id",
            startDate: "today",
        }).datepicker("setDate", today).on('changeDate', function (e) {
            // `e` here contains the extra attributes

            selectedDate = e.date.toLocaleDateString("id-ID", options);
            // alert(today);
            // alert(e.date);
            // alert(today.toLocaleDateString("id-ID", options));
            $("#tanggal-dipilih").text(selectedDate+" - "+selectedTime);

            // alert(e.date.toLocaleDateString("id-ID", options))
        });

        function gantiJam() {

            var jam = document.forms[0];
            var i;
            for (i = 0; i < jam.length; i++) {
                if (jam[i].checked) {
                    selectedTime = jam[i].value;
                }
            }
            // alert(selectedTime);
            $("#tanggal-dipilih").text(selectedDate+" - "+selectedTime);
            // document.getElementById("order").value = "You ordered a coffee with: " + selectedTime;
        }
    </script>


{% endblock %}